Description

Hi !

Currently, one can choose between having the attribute table "show all features", "show selected features" or "show visible features".

IMO, the most convenient behavior would be to display the selection only if there is a selection, and all attributes if there is no selection.

So I'd suggest adding this option, and even make it the default behavior.

Thanks !!

Olivier

Associated revisions

Revision 288b242a - 2015-04-28 08:28 AM - Matthias Kuhn

Merge pull request #1966 from olivierdalang/show_selected_features_ALL_IF_NO_SEL

Filter the attribute table only by selection if there is one

Fix #7541

History

#1 - 2013-04-08 09:40 AM - Matthias Kuhn

- Target version set to Future Release - High Priority

- Assignee set to Matthias Kuhn

Sounds like a good idea.

It would also be possible to add this to the current "show selected" in case the selected feature count is 0 and show a red warning next to the filter button.

This way there would be no need for yet another option in this menu.

This most probably will have to wait for 2.1 as we're in feature freeze. Unfortunately, there has not been much time to review the new attribute table before

feature freeze.

#2 - 2014-01-05 05:36 AM - Paolo Cavallini

- Tag set to easy

- Category set to Vectors

2024-03-20 1/2



#3 - 2015-04-27 11:31 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"288b242aa943bce816a91aaa3d96658efadbf9e0".
